package com.ruoyi.web.v2.v1.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * v2.0消毒登记
 * </p>
 *
 * @author author
 * @since 2025-05-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("js_disinfect")
@ApiModel(value="JsDisinfect对象", description="v2.0消毒登记")
public class JsDisinfect implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "消毒时间")
    private String disinfectTime;


    @ApiModelProperty(value = "消毒位置")
    private String disinfectLocation;

    @ApiModelProperty(value = "待宰间")
    private String pigpenName;

    @ApiModelProperty(value = "车牌号")
    private String car;

    @ApiModelProperty(value = "消毒方式")
    private String disinfectMethod;

    @ApiModelProperty(value = "消毒药剂")
    private String disinfectDose;

    @ApiModelProperty(value = "消毒人员")
    private String disinfectUser;

    @ApiModelProperty(value = "备注")
    private String remark;


}
