package com.ruoyi.web.v2.v1.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.SwaggerDefinition;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 2.0消毒方式管理
 * </p>
 *
 * @author author
 * @since 2025-05-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("js_disinfect_manage")
public class JsDisinfectManage implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 消毒方法
     */
    @ApiModelProperty(value = "消毒方法")
    private String disinfectMethod;

    /**
     * 消毒药剂
     */
    @ApiModelProperty(value = "消毒药剂")
    private String disinfectDose;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;


    private Boolean defaultFlag;


}
