package com.ruoyi.web.v2.v1.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * v2.0物料领用
 * </p>
 *
 * @author author
 * @since 2025-05-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("js_out_stock")
@ApiModel(value="JsOutStock对象", description="v2.0物料领用")
public class JsOutStock implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "领用时间")
    private String outTime;

    @ApiModelProperty(value = "物料批次号")
    private String materialBatch;

    @ApiModelProperty(value = "物料名称")
    private String materialName;

    @ApiModelProperty(value = "物料类型")
    private Integer materialType;

    @ApiModelProperty(value = "领用数量")
    private String stockAmount;

    @ApiModelProperty(value = "计量单位")
    private String unit;

    @ApiModelProperty(value = "领用人")
    private String saveUser;


}
