package com.ruoyi.web.v2.v1.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * v2.0质量巡查
 * </p>
 *
 * @author author
 * @since 2025-05-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("js_patrol")
@ApiModel(value="JsPatrol对象", description="v2.0质量巡查")
public class JsPatrol implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "巡查时间")
    private String patrolTime;

    @ApiModelProperty(value = "巡查点位")
    private String patrolLocation;

    @ApiModelProperty(value = "巡查内容")
    private String patrolContent;

    @ApiModelProperty(value = "异常情况描述")
    private String abnormalCondition;

    @ApiModelProperty(value = "处置方式")
    private String dealMethod;

    @ApiModelProperty(value = "处置结果")
    private String dealResult;

    @ApiModelProperty(value = "巡查人")
    private String patrolUser;


}
