package com.ruoyi.web.v2.v1.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * v2.0分销与屠宰的肉品证对应表
 * </p>
 *
 * @author author
 * @since 2025-06-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("js_produce_code")
@ApiModel(value="JsProduceCode对象", description="v2.0分销与屠宰的肉品证对应表")
public class JsProduceCode implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "动物检疫合格证")
    private String animalCert;

    @ApiModelProperty(value = "肉品合格证")
    private String meatCert;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    private String oneCode;


}
