package com.ruoyi.web.v2.v1.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * v2.0产品召回
 * </p>
 *
 * @author author
 * @since 2025-05-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("js_produce_recall")
@ApiModel(value="JsProduceRecall对象", description="v2.0产品召回")
public class JsProduceRecall implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "召回日期")
    private String recallTime;

    @ApiModelProperty(value = "产品名称")
    private String produceName;

    @ApiModelProperty(value = "肉商id")
    private Integer purchaserId;

    @ApiModelProperty(value = "肉商")
    private String purchaserName;

    @ApiModelProperty(value = "消费者")
    private String consumer;

    @ApiModelProperty(value = "召回数量")
    private String recallAmount;

    @ApiModelProperty(value = "召回原因")
    private String recallReason;

    @ApiModelProperty(value = "召回后处理")
    private String recallDeal;

    private String unit;

    private String recallWeight;

}
