package com.ruoyi.web.v2.v1.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import com.ruoyi.web.v2.v1.entity.vo.ProductionVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * v2.0生产清单
 * </p>
 *
 * @author author
 * @since 2025-06-06
 */
@Data
public class JsProduction  {

    @ApiModelProperty(value = "屠宰日期")
    private String createTime;

    @ApiModelProperty(value = "检疫证号")
    private String animalCertNo;

    @ApiModelProperty(value = "供应商")
    private String supplierName;

    @ApiModelProperty(value = "肉商")
    private String purchaserName;

    @ApiModelProperty(value = "品种")
    private String variety;

    @ApiModelProperty(value = "数量")
    private Integer amount;

    @ApiModelProperty(value = "销售去向")
    private String salePlace;

    @ApiModelProperty(value = "动物检疫合格证")
    private String animalCert;

    @ApiModelProperty(value = "肉品合格证")
    private String meatCert;

    private String oneCode;

    private List<ProductionVo> productionVos;


}
