package com.ruoyi.web.v2.v1.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * v2.0无害化暂存
 * </p>
 *
 * @author author
 * @since 2025-05-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("js_store")
@ApiModel(value="JsStore对象", description="v2.0无害化暂存")
public class JsStore implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "暂存日期")
    private String storeTime;

    @ApiModelProperty(value = "无害化批次id")
    private String harmlessTreatmentId;

    @ApiModelProperty(value = "病死病害头数")
    private Integer illnessAmount;

    @ApiModelProperty(value = "不合格产品数量")
    private String unqualifiedWeight;

    @ApiModelProperty(value = "暂存位置")
    private String storeLocation;

    @ApiModelProperty(value = "责任人")
    private String userName;


}
