package com.ruoyi.web.v2.v1.entity.vo;

import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import java.util.Date;
import java.util.List;

@Data
public class DrugAndProduce {

    private Long num;

    /*货主*/
    private String cargoOwner;

    /**
     * 病死数
     */
    private Integer illnessDeadAmount;

    /**
     * 病害数量
     */
    private Integer illnessDiseaseAmount;

    /**
     * 途亡数量
     */
    private Integer roadDealAmount;

    /**
     * 急宰数量
     */
    private Integer snapKillAmount;

    /**
     *静养病死病害数量
     */
    private Integer dealAmount;

    /**
     * 合格头数
     */
    private Integer  qualifiedAmountBefore;

    /**
     * 屠宰头数
     */
    private Integer tuzaiAmount;

    /**
     * 屠宰后病害重量
     */
    private String weight;

    /**
     * 屠宰后合格头数
     */
    private Double qualifiedAmountAfter;

    private Date createTime;

    private List<DrugCheckVo> drugs;
}
