package com.ruoyi.web.v2.v1.service;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.v1.entity.JsCheckProject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.web.v2.v1.entity.JsDisinfectManage;

/**
 * <p>
 * 2.0检验项目管理 服务类
 * </p>
 *
 * @author author
 * @since 2025-05-20
 */
public interface IJsCheckProjectService extends IService<JsCheckProject> {


    AjaxResult add(JsCheckProject checkProject) throws JsonProcessingException;

    AjaxResult edit(JsCheckProject checkProject) throws JsonProcessingException;

    AjaxResult delete(String ids);

    AjaxResult page(Integer pageNum, Integer pageSize, String projectName);

    AjaxResult listAll();
}
