package com.ruoyi.web.v2.v1.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.v1.entity.JsDivideCircle;
import com.ruoyi.web.v2.v1.entity.JsRestInspection;
import com.baomidou.mybatisplus.extension.service.IService;
import io.swagger.models.auth.In;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

/**
 * <p>
 * v2.0静养巡查登记 服务类
 * </p>
 *
 * @author author
 * @since 2025-05-22
 */
public interface IJsRestInspectionService extends IService<JsRestInspection> {


//    AjaxResult add(String restInspectionTime, String pigpenName, MultipartFile files, String restInspectionContent,
//                   String handle,Integer dealAmount, String userName, Integer divideCircleId) throws IOException;
//
//    AjaxResult edit(Integer id,String restInspectionTime, MultipartFile files,String restInspectionContent,
//                    String handle,Integer dealAmount,String userName) throws IOException;

    AjaxResult add(JsRestInspection jsRestInspection);

    AjaxResult edit(JsRestInspection jsRestInspection);

    AjaxResult delete(String ids);

    AjaxResult page(Integer pageNum, Integer pageSize, String startTime, String endTime, String pigpenName);

    AjaxResult listAll();

    //选择待宰圈号 得到最新待宰圈的批次
    AjaxResult listByPigpen(Integer pigpenId);
}
