package com.ruoyi.common.utils;

public class NumberUtil {
    /**
     * 安全获取Integer值，null时返回0
     * @param number Integer对象
     * @return int值，null时返回0
     */
    public static int getIntValue(Integer number) {
        return number != null ? number : 0;
    }

    /**
     * 安全获取Long值，null时返回0L
     * @param number Long对象
     * @return long值，null时返回0L
     */
    public static long getLongValue(Long number) {
        return number != null ? number : 0L;
    }
}
