package com.ruoyi.web.v2.v1.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 2.0检验项目管理
 * </p>
 *
 * @author author
 * @since 2025-05-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("js_check_project")
@ApiModel(value="JsCheckProject对象", description="2.0检验项目管理")
public class JsCheckProject implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "项目名称")
    private String projectName;

    @ApiModelProperty(value = "检验内容")
    private String checkContent;

    @ApiModelProperty(value = "检验方法")
    private String checkMethod;

    @ApiModelProperty(value = "结果")
    private String result;

    @ApiModelProperty(value = "检验时间")
    private String createTime;

    private Boolean defaultFlag;

}
