package com.ruoyi.web.v2.v1.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * v2.0设备维护登记
 * </p>
 *
 * @author author
 * @since 2025-05-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("js_device_maintenance")
@ApiModel(value="JsDeviceMaintenance对象", description="v2.0设备维护登记")
public class JsDeviceMaintenance implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "维护时间")
    private String maintenanceTime;

    @ApiModelProperty(value = "设备编号")
    private String deviceNum;

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "维护项目")
    private String maintenanceProject;

    @ApiModelProperty(value = "维护情况描述")
    private String maintenanceSituation;

    @ApiModelProperty(value = "责任人")
    private String userName;

    @ApiModelProperty(value = "维修人员")
    private String maintenanceUser;

}
