package com.ruoyi.web.v2.v1.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * v2.0分圈登记
 * </p>
 *
 * @author author
 * @since 2025-05-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("js_divide_circle")
@ApiModel(value="JsDivideCircle对象", description="v2.0分圈登记")
public class JsDivideCircle implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "分圈日期")
    private String divideTime;

    @ApiModelProperty(value = "待宰圈号")
    private String pigpenName;

    @ApiModelProperty(value = "待宰圈号id")
    private Integer pigpenId;

    @ApiModelProperty(value = "供应商id")
    private Integer supplierId;

    @ApiModelProperty(value = "供应商")
    private String supplierName;

    @ApiModelProperty(value = "检疫证号")
    private String animalCertNo;

    @ApiModelProperty(value = "动物品种")
    private String variety;

    @ApiModelProperty(value = "数量")
    private Integer amount;

    @ApiModelProperty(value = "静养巡查id")
    private String restInspectionId;

    @ApiModelProperty(value = "消毒情况：已消毒/未消毒")
    private Integer disinfect;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "批次id")
    private Integer entranceBatchId;



}
