package com.ruoyi.web.v2.v1.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * v2.0违禁药物名称
 * </p>
 *
 * @author author
 * @since 2025-05-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("js_drug")
@ApiModel(value="JsDrug对象", description="v2.0违禁药物名称")
public class JsDrug implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "药物名称")
    private String drugName;

    @ApiModelProperty(value = "结果")
    private String result;

    @ApiModelProperty(value = "内容")
    private String content;

    @ApiModelProperty(value = "方法")
    private String method;

}
