package com.ruoyi.web.v2.v1.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * v2.0设备维护提示
 * </p>
 *
 * @author author
 * @since 2025-06-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("js_maintenance_warning")
@ApiModel(value="JsMaintenanceWarning对象", description="v2.0设备维护提示")
public class JsMaintenanceWarning implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "时间")
    private String maintenanceTime;

    @ApiModelProperty(value = "设备列表")
    private String deviceNum;

    @ApiModelProperty(value = "内容")
    private String content;

    private Integer isHandle;

}
