package com.ruoyi.web.v2.v1.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * v2.0其他产品记录
 * </p>
 *
 * @author author
 * @since 2025-05-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("js_other_produce")
@ApiModel(value="JsOtherProduce对象", description="v2.0其他产品记录")
public class JsOtherProduce implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "出场日期")
    private String exitTime;

    @ApiModelProperty(value = "产品名称")
    private String produceName;

    @ApiModelProperty(value = "生产日期")
    private String produceTime;

    @ApiModelProperty(value = "重量")
    private String weight;

    @ApiModelProperty(value = "处理人")
    private String dealUser;

    @ApiModelProperty(value = "去向")
    private String destination;

    @ApiModelProperty(value = "联系电话")
    private String phone;


}
