package com.ruoyi.web.v2.v1.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * v2.0静养巡查登记
 * </p>
 *
 * @author author
 * @since 2025-05-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("js_rest_inspection")
@ApiModel(value="JsRestInspection对象", description="v2.0静养巡查登记")
public class JsRestInspection implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "巡查时间")
    private String restInspectionTime;

    @ApiModelProperty(value = "待宰圈号")
    private String pigpenName;

    @ApiModelProperty(value = "巡查照片")
    private String restInspectionImg;

    @ApiModelProperty(value = "巡查内容描述")
    private String restInspectionContent;

    @ApiModelProperty(value = "处理情况")
    private String handle;

    @ApiModelProperty(value = "病死病害数量")
    private Integer dealAmount;

    @ApiModelProperty(value = "巡查人")
    private String userName;

    @ApiModelProperty(value = "分圈id")
    private Integer divideCircleId;
}
