package com.ruoyi.web.v2.v1.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * v2.0样品留存登记
 * </p>
 *
 * @author author
 * @since 2025-05-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("js_sample")
@ApiModel(value="JsSample对象", description="v2.0样品留存登记")
public class JsSample implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "留存日期")
    private String keepTime;

    @ApiModelProperty(value = "样品编号")
    private String sampleNum;

    @ApiModelProperty(value = "产品名称")
    private String produceName;

    @ApiModelProperty(value = "供应商id")
    private Integer supplierId;

    @ApiModelProperty(value = "供应商")
    private String supplierName;

    @ApiModelProperty(value = "检疫证号")
    private String animalCertNo;

    @ApiModelProperty(value = "留样人")
    private String userName;

    @ApiModelProperty(value = "样品处理去向")
    private String sampleDeal;

    @ApiModelProperty(value = "处理时间")
    private String dealTime;

    private Integer entranceBatchId;


}
