package com.ruoyi.app.DTO;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class SlaughterBatchDTO {
    private Long id;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date slaughterTime;
    private String salePlace;
    private String meatCert;
    private String animalCert;
    private String slaughterCode;
    private Integer amount;
    private BigDecimal beforeWeight;
    private String purchaserName;
    private String supplierName;
    private String variety;
    private String animalCertNo;
    private BigDecimal sideWeight;
    private BigDecimal headWeight;
    private BigDecimal redWeight;
    private BigDecimal whiteWeight;
    private String purchaserId;

    public String getPurchaserId() {
        return purchaserId;
    }

    public void setPurchaserId(String purchaserId) {
        this.purchaserId = purchaserId;
    }

    public List<ProductionVo> getProductionVos() {
        return productionVos;
    }

    public void setProductionVos(List<ProductionVo> productionVos) {
        this.productionVos = productionVos;
    }

    private List<ProductionVo> productionVos;

    // Getters and Setters
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getSlaughterTime() {
        return slaughterTime;
    }

    public void setSlaughterTime(Date slaughterTime) {
        this.slaughterTime = slaughterTime;
    }

    public String getSalePlace() {
        return salePlace;
    }

    public void setSalePlace(String salePlace) {
        this.salePlace = salePlace;
    }

    public String getMeatCert() {
        return meatCert;
    }

    public void setMeatCert(String meatCert) {
        this.meatCert = meatCert;
    }

    public String getAnimalCert() {
        return animalCert;
    }

    public void setAnimalCert(String animalCert) {
        this.animalCert = animalCert;
    }

    public String getSlaughterCode() {
        return slaughterCode;
    }

    public void setSlaughterCode(String slaughterCode) {
        this.slaughterCode = slaughterCode;
    }

    public Integer getAmount() {
        return amount;
    }

    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    public BigDecimal getBeforeWeight() {
        return beforeWeight;
    }

    public void setBeforeWeight(BigDecimal beforeWeight) {
        this.beforeWeight = beforeWeight;
    }

    public String getPurchaserName() {
        return purchaserName;
    }

    public void setPurchaserName(String purchaserName) {
        this.purchaserName = purchaserName;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public String getVariety() {
        return variety;
    }

    public void setVariety(String variety) {
        this.variety = variety;
    }

    public String getAnimalCertNo() {
        return animalCertNo;
    }

    public void setAnimalCertNo(String animalCertNo) {
        this.animalCertNo = animalCertNo;
    }

    public BigDecimal getSideWeight() {
        return sideWeight;
    }

    public void setSideWeight(BigDecimal sideWeight) {
        this.sideWeight = sideWeight;
    }

    public BigDecimal getHeadWeight() {
        return headWeight;
    }

    public void setHeadWeight(BigDecimal headWeight) {
        this.headWeight = headWeight;
    }

    public BigDecimal getRedWeight() {
        return redWeight;
    }

    public void setRedWeight(BigDecimal redWeight) {
        this.redWeight = redWeight;
    }

    public BigDecimal getWhiteWeight() {
        return whiteWeight;
    }

    public void setWhiteWeight(BigDecimal whiteWeight) {
        this.whiteWeight = whiteWeight;
    }
}
